AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- pageViewTrackOpts

## Index

### Properties

- attributes
- enable
- eventName
- getUrl
- provider
- type

## Properties

### Optional attributes

attributes: EventAttributes | function

- Defined in analytics/src/types/Analytics.ts:38

### enable

enable: boolean

- Defined in analytics/src/types/Analytics.ts:34

### Optional eventName

eventName: string

- Defined in analytics/src/types/Analytics.ts:36

### Optional getUrl

getUrl: function

- Defined in analytics/src/types/Analytics.ts:39

#### Type declaration

- - (): string

  - #### Returns string

### Optional provider

provider: string

- Defined in analytics/src/types/Analytics.ts:37

### Optional type

type: string

- Defined in analytics/src/types/Analytics.ts:35